/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/DLOPTION.CPP   1.2.1.5   17 Apr 1997 15:48:14   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/DLOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:48:14   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:19:28   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:30:52   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:11:48   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:16:50   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:27:58   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:45:52   ZJRD
** Initial revision.
** 
**    Rev 1.4.1.0.1.2   09 Dec 1996 10:17:56   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.4.1.0.1.0   11 Nov 1996 13:01:12   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.4.1.4   09 Sep 1996 13:22:54   ZJRD
** No change.
** 
**    Rev 1.4.1.3   05 Sep 1996 11:34:22   ZJRD
** No change.
** 
**    Rev 1.4.1.2   02 Sep 1996 10:01:26   ZJRD
** No change.
** 
**    Rev 1.4.1.1   28 Aug 1996 15:45:10   ZJRD
** No change.
** 
**    Rev 1.4.1.0   12 Aug 1996 10:50:18   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.1   29 May 1996 09:35:44   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dloption.cpp
//
// Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "dl.h"
#include "dloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DLOption dialog


DLOption::DLOption(DLTool * pTool)
    : CPropertyPage(DLOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(DLOption)
    
    //}}AFX_DATA_INIT
}

void DLOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DLOption)
    DDX_Check(pDX, IDC_DLOPT_CHECK1, m_fLSymbol);
    DDX_Check(pDX, IDC_DLOPT_CHECK3, m_fLine);
    DDX_Check(pDX, IDC_DLOPT_CHECK2, m_fPSymbol);
    DDX_Text(pDX, IDC_DLOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_DLOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void DLOption::SaveData(void)
{
//  UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_pTool->m_fLSymbol        = m_fLSymbol;
    m_pTool->m_fLine   = m_fLine;
    m_pTool->m_fPSymbol = m_fPSymbol;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;

}

void DLOption::LoadData(void)
{
    m_fLSymbol        = m_pTool->m_fLSymbol;
    m_fLine   = m_pTool->m_fLine;
    m_fPSymbol = m_pTool->m_fPSymbol;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;

}

BEGIN_MESSAGE_MAP(DLOption, CPropertyPage)
    //{{AFX_MSG_MAP(DLOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// DLOption message handlers
